> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get assets

> Retrieve assets for the specified asset provider



## OpenAPI

````yaml /api-reference/m2m-api.yml get /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/assets
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/assets:
    get:
      tags:
        - Assets
      summary: Get assets
      description: Retrieve assets for the specified asset provider
      operationId: getAssets
      parameters:
        - in: path
          name: assetProviderCountryCode
          schema:
            type: string
            minLength: 2
            maxLength: 2
          required: true
          example: AT
          description: The two-letter country code of the asset provider
        - in: path
          name: assetProviderCode
          schema:
            type: string
            minLength: 3
            maxLength: 3
          required: true
          example: ABC
          description: The three-letter code of the asset provider
        - in: query
          name: type
          description: Asset type
          required: false
          schema:
            $ref: '#/components/schemas/AssetType'
        - in: query
          name: active
          description: Status of asset
          required: false
          schema:
            type: boolean
        - in: query
          name: pageNumber
          description: Defines the requested page
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
        - in: query
          name: pageSize
          description: Defines the requested page size
          required: false
          schema:
            type: integer
            minimum: 1
            default: 100
      responses:
        '200':
          description: List of matching assets
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AssetResponse'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
      security:
        - oauth:
            - openid
components:
  schemas:
    AssetType:
      type: string
      enum:
        - Rentalcar
        - RentalcarStation
    AssetResponse:
      type: object
      required:
        - type
        - active
        - guid
        - assetId
        - assetProvider
      properties:
        guid:
          type: string
          description: Global unique location identifier object
          minLength: 1
          maxLength: 36
        name:
          type: string
          description: Name of the asset
          minLength: 1
          maxLength: 255
        blobUuid:
          type: string
          description: Blob UUID
          minLength: 1
        imageBlurHash:
          type: string
          description: The image blurhash of the asset image blob
        description:
          type: string
          description: Generic description about the asset
          minLength: 1
          maxLength: 255
        type:
          $ref: '#/components/schemas/AssetType'
        assetId:
          type: string
          description: Asset id
          minLength: 1
          maxLength: 255
        assetProvider:
          $ref: '#/components/schemas/AssetProvider'
        category:
          type: string
          description: Asset category
          minLength: 1
          maxLength: 255
        address:
          $ref: '#/components/schemas/AssetAddress'
        assetProviderCategory:
          $ref: '#/components/schemas/AssetProviderCategory'
        active:
          type: boolean
          default: true
          description: Asset active status
        imageUrl:
          type: string
          description: Asset image URL
          maxLength: 255
        defaultImage:
          type: string
          description: URL of the default image used
          maxLength: 255
        locationsHistory:
          type: array
          description: History of the locations
          items:
            $ref: '#/components/schemas/AssetLocation'
        referral:
          $ref: '#/components/schemas/AssetReferral'
    AssetProvider:
      type: object
      description: Asset provider
      required:
        - countryCode
        - code
      properties:
        countryCode:
          type: string
          description: Country code of the asset provider
          minLength: 2
          maxLength: 2
          example: AT
        code:
          type: string
          description: Code of the asset provider
          minLength: 3
          maxLength: 3
          example: ABC
    AssetAddress:
      type: object
      description: Address of the asset
      properties:
        street:
          type: string
          minLength: 1
          maxLength: 255
        countryCode:
          type: string
          minLength: 2
          maxLength: 2
        zipCode:
          type: string
          minLength: 1
          maxLength: 255
        city:
          type: string
          minLength: 1
          maxLength: 255
        province:
          type: string
          minLength: 1
          maxLength: 255
        geoLatitude:
          type: number
          format: double
          description: GPS latitude of the location
        geoLongitude:
          type: number
          format: double
          description: GPS longitude of the location
    AssetProviderCategory:
      type: object
      description: Asset provider category assigned to the asset
      required:
        - id
        - name
      properties:
        id:
          type: string
          description: Category globally defined code
          maxLength: 255
        name:
          type: string
          description: Category name for this asset provider
          maxLength: 255
    AssetLocation:
      type: object
      title: Vehicle location history object
      required:
        - assigningDate
        - name
        - address
        - providerName
      properties:
        assigningDate:
          type: string
          format: date-time
          description: Point in time where this location has been added to the asset
        removalDate:
          type: string
          format: date-time
          description: Point in time where this location has been removed from the asset
        name:
          type: string
          description: Description of the location
          maxLength: 255
        address:
          type: string
          description: Description of the address
          maxLength: 255
        providerName:
          type: string
          description: Description of the asset provider
          maxLength: 255
    AssetReferral:
      type: object
      description: Referenced asset
      required:
        - type
        - active
        - assetId
        - assetProvider
      properties:
        type:
          $ref: '#/components/schemas/AssetType'
        name:
          type: string
          description: Name of the asset
          minLength: 1
          maxLength: 255
        description:
          type: string
          description: Generic description about the asset
          minLength: 1
          maxLength: 255
        active:
          type: boolean
          default: true
          description: Asset status
        assetId:
          type: string
          description: Asset id
          minLength: 1
          maxLength: 255
        assetProvider:
          $ref: '#/components/schemas/AssetProvider'
        category:
          type: string
          description: Asset category, previously categoryForBilling
          minLength: 1
          maxLength: 255
        address:
          $ref: '#/components/schemas/AssetAddress'
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````